6 49
link 1 2 1
link 1 2 2
distance? 1 2
cut 1 2 1
link 1 2 2
distance? 1 2
cut 1 2 2
cut 1 2 2
link 3 3 2
cut 4 4 2
link 1 2 2
link 1 3 3
link 2 3 4
distance? 1 2
distance? 1 3
distance? 2 4
link 2 4 3
link 3 5 3
link 4 5 1
distance? 4 5
cut 1 2 2
link 4 5 5
distance? 1 5
cut 2 3 4
link 2 5 5
link 1 5 2
distance? 1 2
cut 4 5 5
distance? 1 2
cut 3 5 3
distance? 1 2
cut 2 5 5
distance? 1 2
distance? 4 5
link 3 5 2
distance? 1 3
distance? 4 3
link 4 6 3
link 2 6 1
distance? 2 6
distance? 2 5
link 5 6 2
distance? 1 6
distance? 2 3
cut 2 4 3
link 2 5 4
distance? 4 1
cut 4 6 3
distance? 4 1
